ForceFields::MMFF::MMFFPBCICollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFPBCI * | operator() (const unsigned int atomType) const
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions

static MMFFPBCICollection * | getMMFFPBCI (const std::string &mmffPBCI="")
| gets a pointer to the singleton MMFFPBCICollection More...

## Detailed Description

Definition at line 289 of file MMFF/Params.h.

## Member Function Documentation

static MMFFPBCICollection* ForceFields::MMFF::MMFFPBCICollection::getMMFFPBCI | ( | const std::string & | mmffPBCI = `""` | ) |

static

gets a pointer to the singleton MMFFPBCICollection

Parameters

  mmffPBCI | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFPBCICollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFPBCICollection has already been instantiated and `mmffPBCI` is empty, the singleton will be returned.
- if `mmffPBCI` is empty and the singleton MMFFPBCICollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffPBCI` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

const MMFFPBCI* ForceFields::MMFF::MMFFPBCICollection::operator() | ( | const unsigned int | atomType | ) | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFPBCI object, NULL on failure.

Definition at line 313 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h